# $Revision: 1.14 $, $Date: 2002/07/28 14:05:31 $
#
# TODO:
# - prepare desktop file and png icon.
#
Summary:	xelcad - electricat circuit layouts
Summary(pl):	xelcad - projektowanie obwodw elektrycznych
Name:		xelcad
Version:	0.3
Release:	2
License:	GPL
Group:		X11/Applications/Science
Source0:	http://www.neuss.netsurf.de/~skrodzki/xelcad/%{name}-src.tgz
Patch0:		%{name}-Makefile.patch
Patch1:		%{name}-config-fix.patch
Patch2:		%{name}-math.patch
# URL from sources, but seems to be dead
URL:		http://www.neuss.netsurf.de/~skrodzki/
BuildRequires:	xforms-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6

%description
XelCAD is a X-based application, designed to create electrical circuit
layouts. As author say: "It's, of course, not a profesional CAD
application, but it's absolutely sufficient for private-home usage"

%description -l pl
XelCAD to aplikacja pod X suca do projektowania obwodw
elektrycznych. Wedug autora, nie jest to profesjonalna aplikacja CAD,
ale cakowicie wystarcza do domowego uytku.

%prep
%setup -q -c

%patch0 -p0
%patch1 -p0
%patch2 -p1

%build
cd put_me_anywhere
%{__make} RPM_OPT_FLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version} \
	$RPM_BUILD_ROOT{%{_bindir},%{_datadir}/xelcad/{examples,elements}}

install put_me_anywhere/xelcad $RPM_BUILD_ROOT%{_bindir}

install examples/*	$RPM_BUILD_ROOT%{_datadir}/xelcad/examples
cp -Rpd .xelcad/*	$RPM_BUILD_ROOT%{_datadir}/xelcad
cp -Rpd .xelcad/.x*	$RPM_BUILD_ROOT%{_datadir}/xelcad

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/xelcad
%{_datadir}/xelcad

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: xelcad.spec,v $
Revision 1.14  2002/07/28 14:05:31  marcus
- fixed build on ppc
- rel.2.

Revision 1.13  2002/07/26 19:38:55  blues
- few cosmetics

Revision 1.12  2002/07/25 05:47:09  kloczek
- use new %doc.
TODO: prepare desktop file and png icon.

Revision 1.11  2002/02/22 23:30:03  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.10  2002/01/18 02:15:30  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.9  2001/12/20 12:14:19  qboosh
- pl description, fixed Group (X11/Applications/Science was the nearest in rpm.groups...)

Revision 1.8  2001/10/07 21:49:42  marcus
- added BR

Revision 1.7  2001/07/20 06:23:26  agaran
group spelling fixed.. i think

Revision 1.6  2001/05/03 01:14:06  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.5  2000/06/09 07:24:14  kloczek
- added using %%{__make} macro.

Revision 1.4  2000/05/21 20:05:15  kloczek
- spec adapterized.

Revision 1.3  2000/04/01 11:16:00  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  2000/03/31 08:08:36  cieciwa
- final version, but missinf polish translation.

Revision 1.1  2000/03/31 07:30:02  cieciwa
- cosmetics.

* Tue Apr 27 1999 Wojciech "Sas" Ciciwa <cieciwa@alpha.zarz.agh.edu.pl>
- build RPM.
